## net.sf.antcontrib.logic
Class OutOfDate.DeleteTargets

    java.lang.Object
      net.sf.antcontrib.logic.OutOfDate.DeleteTargets

Enclosing class:
  OutOfDate

    public class OutOfDate.DeleteTargets

extends java.lang.Object

nested delete targets

Constructor Summary
`OutOfDate.DeleteTargets()`

Method Summary
`void` `setAll(boolean all)` whether to delete all the targets or just those that are newer than the corresponding sources.
`void` `setFailOnError(boolean failOnError)`
`void` `setQuiet(boolean quiet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutOfDate.DeleteTargets

    public OutOfDate.DeleteTargets()

Method Detail

### setAll

    public void setAll(boolean all)

  whether to delete all the targets or just those that are newer than the corresponding sources.

  Parameters:
    `all` - true to delete all, default false

### setQuiet

    public void setQuiet(boolean quiet)

  Parameters:
    `quiet` - if true suppress messages on deleting files

### setFailOnError

    public void setFailOnError(boolean failOnError)

  Parameters:
    `failOnError` - if true halt if there is a failure to delete